com.google.gwt.resources.converter

## Class Css2Gss

- java.lang.Object
- - com.google.gwt.resources.converter.Css2Gss

    public class Css2Gss
    extends java.lang.Object

Converter from Css to Gss.

### Nested Class Summary

Nested Classes
`(package private) static class` `Css2Gss.Options`

### Constructor Summary

Constructors
Constructor and Description
`Css2Gss(java.lang.String filePath)`
`Css2Gss(java.net.URL resource, boolean lenient)`
`Css2Gss(java.net.URL resource, boolean lenient, com.google.gwt.thirdparty.guava.common.base.Predicate<java.lang.String> simpleBooleanConditionPredicate, java.util.Set<java.net.URL> scopeFiles)`
`Css2Gss(java.net.URL url, TreeLogger logger, boolean lenientConversion, com.google.gwt.thirdparty.guava.common.base.Predicate<java.lang.String> simpleBooleanConditionPredicate)`
`Css2Gss(java.net.URL fileUrl, TreeLogger treeLogger, boolean lenient, com.google.gwt.thirdparty.guava.common.base.Predicate<java.lang.String> simpleBooleanConditionPredicate, java.util.Set<java.net.URL> scopeFiles)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.Map<java.lang.String,java.lang.String>` `getDefNameMapping()` GSS allows only uppercase letters and numbers for a name of the constant.
`static void` `main(java.lang.String... args)`
`java.lang.String` `toGss()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Css2Gss

    public Css2Gss(java.lang.String filePath)
            throws java.net.MalformedURLException

Throws:
  `java.net.MalformedURLException`

#### Css2Gss

    public Css2Gss(java.net.URL resource,
                   boolean lenient)

#### Css2Gss

    public Css2Gss(java.net.URL resource,
                   boolean lenient,
                   com.google.gwt.thirdparty.guava.common.base.Predicate<java.lang.String> simpleBooleanConditionPredicate,
                   java.util.Set<java.net.URL> scopeFiles)

#### Css2Gss

    public Css2Gss(java.net.URL fileUrl,
                   TreeLogger treeLogger,
                   boolean lenient,
                   com.google.gwt.thirdparty.guava.common.base.Predicate<java.lang.String> simpleBooleanConditionPredicate,
                   java.util.Set<java.net.URL> scopeFiles)

#### Css2Gss

    public Css2Gss(java.net.URL url,
                   TreeLogger logger,
                   boolean lenientConversion,
                   com.google.gwt.thirdparty.guava.common.base.Predicate<java.lang.String> simpleBooleanConditionPredicate)

### Method Detail

#### toGss

    public java.lang.String toGss()
                           throws UnableToCompleteException

Throws:
  `UnableToCompleteException`

#### getDefNameMapping

    public java.util.Map<java.lang.String,java.lang.String> getDefNameMapping()

GSS allows only uppercase letters and numbers for a name of the constant. The constants need to be renamed in order to be compatible with GSS. This method returns a mapping between the old name and the new name compatible with GSS.

#### main

    public static void main(java.lang.String... args)